KActiveLabel class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KActiveLabel Class Reference

Label with support for selection and clickable links. More...

`#include <kactivelabel.h>`

Inheritance diagram for KActiveLabel:

[legend]
Collaboration diagram for KActiveLabel:

[legend]
List of all members.

## Public Slots
virtual void | openLink (const QString &link)
| Opens `link`.
## Public Member Functions
| KActiveLabel (QWidget *parent, const char *name=0)
| Constructor.
| KActiveLabel (const QString &text, QWidget *parent, const char *name=0)
| Constructor.
QSize | minimumSizeHint () const
QSize | sizeHint () const
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)
virtual void | focusInEvent (QFocusEvent *fe)
virtual void | focusOutEvent (QFocusEvent *fe)

## Detailed Description

Label with support for selection and clickable links.

Author:
  Waldo Bastian (bastian@kde.org)

Version:
  Id
    kactivelabel.h,v 1.5 2002/08/01 11:39:36 pfeiffer Exp

Definition at line 33 of file kactivelabel.h.

## Constructor & Destructor Documentation

KActiveLabel::KActiveLabel | ( | QWidget * | parent,
|  | const char * | name = 0
| ) |

| Constructor. It connects the "linkClicked(const QString &)" signal to the "openLink(const QString &)" slot. You will need to disconnect this if you want to process linkClicked() yourself. Definition at line 25 of file kactivelabel.cpp. References KStdAccel::name().

KActiveLabel::KActiveLabel | ( | const QString & | text,
|  | QWidget * | parent,
|  | const char * | name = 0
| ) |

| Constructor. It connects the "linkClicked(const QString &)" signal to the "openLink(const QString &)" slot. You will need to disconnect this if you want to process linkClicked() yourself. Definition at line 31 of file kactivelabel.cpp. References KStdAccel::name().

## Member Function Documentation

void KActiveLabel::openLink | ( | const QString & | link | ) | `[virtual, slot]`

| Opens `link`. Definition at line 63 of file kactivelabel.cpp. References KIO::link().

The documentation for this class was generated from the following files:

- kactivelabel.h
- kactivelabel.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:58:41 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001